# class Gem::GemcutterUtilities::WebauthnListener::SocketResponder

### Public Class Methods

new (socket)
Source

    # File lib/rubygems/gemcutter_utilities/webauthn_listener.rb, line 95
    def initialize(socket)
      @socket = socket
    end

### Public Instance Methods

send (response)
Source

    # File lib/rubygems/gemcutter_utilities/webauthn_listener.rb, line 99
    def send(response)
      @socket.print response.to_s
      @socket.close
    end